using System;
using System.Diagnostics;
using System.Windows;

namespace Gremlin
{
    internal class ErrorHandler
    {
        public static void ShowErrorInMessageBox(Exception ex)
        {
            _ = MessageBox.Show(ex.Message, "Error", MessageBoxButton.OK, MessageBoxImage.Error);
        }

        public static void ShowErrorInMessageBox(Exception ex, string title)
        {
            _ = MessageBox.Show(ex.Message, title, MessageBoxButton.OK, MessageBoxImage.Error);
        }

        public static void ShowErrorInDebug(Exception ex)
        {
            Debug.WriteLine(ex.Message);
        }

        internal static void ShowMessageBox(string message)
        {
            _ = MessageBox.Show(message, "Error", MessageBoxButton.OK, MessageBoxImage.Error);
        }
    }
}
